'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/* eslint-disable no-undef, max-len */
var getItem = exports.getItem = function getItem(key) {
  var localStorageImplementation = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : localStorage;

  if (!localStorageImplementation) {
    return console.error('localStorage implementation is missing'); // eslint-disable-line no-console
  }

  var unparsedValue = localStorageImplementation.getItem(key);

  try {
    var parsedValue = JSON.parse(unparsedValue);
    return parsedValue;
  } catch (error) {
    return unparsedValue;
  }
};

var removeItem = exports.removeItem = function removeItem(key) {
  var localStorageImplementation = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : localStorage;

  if (!localStorageImplementation) {
    return console.error('localStorage implementation is missing'); // eslint-disable-line no-console
  }

  return localStorageImplementation.removeItem(key);
};

var setItem = exports.setItem = function setItem(key, value) {
  var localStorageImplementation = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : localStorage;

  if (!localStorageImplementation) {
    return console.error('localStorage implementation is missing'); // eslint-disable-line no-console
  }

  return localStorageImplementation.setItem(key, JSON.stringify(value));
};